# Class MongoDB

java.lang.Object
org.apache.jmeter.protocol.mongodb.mongo.MongoDB

public class MongoDB extends Object

## Constructor Summary

Constructors
Constructor
Description
`MongoDB(List<ServerAddress> serverAddresses, MongoClientOptions mongoOptions)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`DB`
`getDB(String database, String username, String password)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MongoDB

public MongoDB(List<ServerAddress> serverAddresses, MongoClientOptions mongoOptions)

## Method Details

### getDB

public DB getDB(String database, String username, String password)

### clear

public void clear()